Hochvolumiges Messaging mit niedriger Latenz für zuverlässige Datenübertragung

IBM WebSphere MQ Low Latency Messaging wurde für Finanzinstitute und sonstige Unternehmen konzipiert, in denen große Datenmengen umgehend und zuverlässig bereitgestellt werden müssen. WebSphere MQ Low Latency Messaging besticht durch Optionen für die flexible Nachrichtenübertragung, hohe Systemverfügbarkeit, schnelle Nachrichtenfilterung, Systemüberwachung und Überlastungssteuerung.

WebSphere MQ Low Latency Messaging bietet folgende Funktionalität:

Optionen für die flexible Nachrichtenzustellung

Hohe Leistung und Verfügbarkeit

Nachrichtensteuerung und -filterung

Systemüberwachung und Überlastungssteuerung

Standardbasierte Integrationstools

WebSphere MQ Low Latency Messaging

Hochvolumiges Messaging mit niedriger Latenz für zuverlässige Datenübertragung

IBM Software Subscription und Support ist für das erste Jahr im Software-Preis enthalten.

Nicht für Online-Kauf verfügbar. Andere Möglichkeiten zu kaufen und weitere Informationen.

Kontaktieren Sie IBM

System requirements

This page summarizes the basic system requirements for IBM® WebSphere® MQ Low Latency Messaging.


Operating SystemSoftwareHardware
Linux, Solaris, Windows Operating system requirements:

For RMM and RUM over Ethernet, RCMS, and IPv6, one of the following operating system platforms:

Red Hat Enterprise Linux 4 (x86 or x86-64)

Red Hat Enterprise Linux 5 (x86, x86-64, ppc64, z9, or z10¹

Red Hat Enterprise Linux 6 (x86, x86_64, ppc64, z9 , or z10 1 )

Red Hat Enterprise MRG 1.1 (x86 or x86-64)

SUSE Enterprise Linux 10 (x86, x86-64, z9, or z10¹ )

SUSE Enterprise Linux 11 (x86, x86-64, or ppc64, z9 , or z10¹)

SUSE Linux Enterprise Real Time Extension 10 and above (x86 or x86_64)

Microsoft Windows 7 (x86 or x64)

Microsoft® Windows XP SP3 and above (x86 or x64)

Microsoft Windows Server 2003 SP1 and above (x86 or x64)

Microsoft Windows Server 2003 R2 (x86 or x64)

Microsoft Windows Vista SP2 (x86 or x64)

Microsoft Windows Server 2008 (x86 or x64)

Microsoft Windows Server 2008 R2 (x64)

Solaris 10 (x86 or x86-64, or UltraSPARC)

HP-UX 11i v2 ²

AIX 5.3 (ppc64) ³

AIX 6.1 (ppc64) ³


Note:

1 RCMS, RMM and RUM over shared, RMM and RUM over InfiniBand Verbs, and LLM thread affinity control are not supported on Linux on System z
2 IPv6, RCMS, RMM and RUM over shared, RMM and RUM over InfiniBand Verbs, and LLM thread affinity control are not supported on HP-UX.
3 The RMM fault detection policy for shared memory is not supported on this platform.

For Coordination Manager support, one of the following operating system platforms:

Red Hat Enterprise Linux 4 (x86 or x86_64)

Red Hat Enterprise Linux 5 (x86, x86_64, or ppc64 )

Red Hat Enterprise Linux 6 (x86, x86_64, or ppc64) 1 )

Red Hat Enterprise MRG 1.1 and above (x86 or x86_64)

SUSE Enterprise Linux 10 (x86 or x86_64)

SUSE Enterprise Linux 11 (x86, x86_64, or ppc64 )

SUSE Linux Enterprise Real Time Extension 10 and above (x86, x86_64)

Microsoft Windows XP SP3 and above (x86 or x64)

Microsoft Windows 7 (x86 or x64)

Microsoft Windows Server 2003 SP1 and above (x86 or x64)

Microsoft Windows Vista SP2 (x86 or x64)

Microsoft Windows Server 2008 (x86 or x64)

Microsoft Windows Server 2008 R2 (x64)

Solaris 10 (x86, x86_64, or UltraSPARC)

AIX 5.3 (ppc64)

AIX 6.1 (ppc64)

For SNMP support, one of the following operating system platforms:


Red Hat Enterprise Linux 4 (x86 or x86_64)

Red Hat Enterprise Linux 5 (x86 or x86_64)

SUSE Enterprise Linux 10 (x86 or x86_64)

SUSE Enterprise Linux 11 (x86 or x86_64)

Microsoft Windows XP SP3 and above (x86 or x64)

Microsoft Windows 7 (x86 or x64)

Microsoft Windows Server 2003 SP1 and above (x86 or x64)

Microsoft Windows Vista SP2 (x86 or x64)

Microsoft Windows Server 2008 (x86 or x64)

Microsoft Windows Server 2008 R2 (x64)

For the Coordinated Cluster Time (CCT) technology preview, one of the following operating system platforms:


Red Hat Enterprise Linux 4 (x86 or x86_64)

Red Hat Enterprise Linux 5 (x86, x86_64, or ppc64)

SUSE Enterprise Linux 10 (x86, x86_64, or ppc64)

SUSE Enterprise Linux 11 (x86, x86_64, or ppc64)

Runtime requirements

C and C++ applications -- Windows platform: Microsoft Visual C++ 2005 SP1 Redistributable
Package with security patch KB973544 MS09-035 (shipped)

Java™ applications

- Linux on x86 platform: IBM JRE 5.0 (shipped) or Sun Java SE 5 or 6

- Linux on IBM system p or system z, or HP-UX: IBM JRE 5.0 (shipped)

- Solaris platform Sun Java SE 5 or 6

HP-UX platform: IBM JRE 5.0 (shipped)

- Windows platform

+ IBM JRE 5.0 (shipped) or Sun Java SE 5 or 6

+ Microsoft Visual C++ 2005 SP1 Redistributable Package (shipped)

AIX platform: IBM JRE 5.0 (shipped) or Sun Java SE 5 or 6

.NET applications -- Windows platform: Microsoft Visual C++ 2005 SP1 Redistributable Package (shipped), with a prerequisite of Microsoft.Net Framework 2.0


InfiniBand runtime requirements

OpenFabrics Enterprise Distribution (OFED) V1.3, and above. OFED V1.5.2, and above is recommended.


Development system software requirements

C and C++ applications

- Windows platform -- Microsoft Visual Studio 8.0 or 9.0 x86 or x64 on one of the following:

Microsoft Windows XP (SP3+), or

Microsoft Windows 7, or

Windows Server 2003 (SP1+), or

Microsoft Windows Vista SP2, or

Microsoft Windows 2008

- Linux platform:¹

GCC 3.4.3 or GCC 4.1.0 x86 or x86_64
on Red Hat Enterprise Linux Advanced Server 4, or

GCC 4.1.2 x86 or x86_64 on Red Hat Enterprise Linux Server 5, or

+ GCC 4.1.0 x86 or x86_64 on SuSE Linux Enterprise Server 10, or

+ GCC 4.3.2 x86 or x86_64 on SuSE Linux Enterprise Server 11, or

+ GCC 4.1.2 ppc64 on SuSE Linux Enterprise Server 10 on IBM System p or System z

+ GCC 4.1.2 ppc64 on Red Hat Enterprise Linux Server 5 on IBM System p or System z

- Solaris platform: Sun Studio 11 , x86, x86_64, or UltraSPARC on Solaris 10

- HP/UX platform: HP C/aC++ for IA64 on HP-UX 11i v2

AIX platform: IBM XL C for AIX , V10.1 for ppc64 on AIX 5.3 or AIX 6.1

Java applications

- Linux platform: IBM SDK for Java 5.0 (shipped) or Sun JDK 5 or 6

- Windows platform: IBM SDK for Java 5.0 (shipped) or Sun JDK 5 or 6

- Solaris platform: Sun JDK 5 or 6

- HP/UX platform: IBM SDK for Java 5.0 (shipped)

AIX platform: IBM SDK for Java 5.0 (shipped)

.NET applications -- Windows platform: Microsoft Visual Studio 8.0 or 9.0 and Microsoft .NET Framework 2.0

Note:

1 Linux based C++ applications that use RCMS are required to be compiled with a level of GCC that is ABI compatible with libstdc++.so.6.0.0 .



Processor: AMD or Intel x86 architecture 32- or 64-bit, Solaris UltraSPARC, PowerPC® with Linux® or with AIX®, Intel Itanium IA64 processor with HP-UX, or IBM System z® z9 or z10 with Linux

One processor, with a minimum speed of 2.0 GHz (dual processor or dual core recommended)

Minimum 300 MB required free disk space for installation

One or more of the following network adapters:

- For Ethernet, 1 or 10 Gigabit Ethernet adapters

- For InfiniBand, host channel adapters supported by OFED-1.3 or later


For the Low Latency Message Store feature, enough disk space to hold the messages that are to be stored, and a fast enough disk system to support the rate of messages to be stored


Performance considerations:

WebSphere MQ Low Latency Messaging performance depends on the complexity of the specific environment, volume of data traffic and the data object size

Mehr

Sind Sie nicht in Deutschland?

Haben Sie Fragen?

Wir helfen Ihnen gerne.

Haben Sie Fragen?

Contact